## Script (Python) "getClearanceInfo"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=
##
# $Id: getClearanceInfo.py 5163 2010-04-21 04:38:00Z henrik $
"""
return Info about the current Student
"""
try:
    from Products.zdb import set_trace
except:
    def set_trace():
        pass
import logging
logger = logging.getLogger('Skins.getClearanceInfo')
import DateTime
now = DateTime.DateTime()


request = context.REQUEST
mtool = context.portal_membership
wf = context.portal_workflow
member = mtool.getAuthenticatedMember()
member_id = str(member)
path_info = request.get('PATH_INFO').split('/')


info = context.waeup_tool.getAccessInfo(context)

info['timestamp'] = "%d" % int(now.timeTime()*1000)

student_id = info['student_id']
if student_id is None:
    return None
if info['is_staff'] and not info['is_clearanceofficer'] and not info['is_sectionofficer']:
    logger.info('%s tried to access %s' % (member_id,student_id))
    return None

student_record = context.students_catalog.getRecordByKey(student_id)
students_object = context.portal_url.getPortalObject().campus.students
student = getattr(students_object, student_id)
# res = context.portal_catalog(portal_type='Student',id = student_id)
# if len(res) == 0:
#     return None
# creation_date = DateTime(res[0].CreationDate)
# info['penalty'] = creation_date.lessThan(DateTime('2006/12/5'))
info['penalty'] = False
info['id'] = student_id
info['student'] = student
info['student_name'] = student_record.name
#info['review_state'] = context.getStudentReviewState()
info['review_state'] = student_record.review_state
info['app'] = student.application
try:
    info['app_doc'] = student.application.getContent()
except:
    return
info['clear'] = student.clearance
try:
    info['clear_doc'] = student.clearance.getContent()
except:
    return    
info['clear_review_state'] = wf.getInfoFor(student.clearance,'review_state',None)
info['per'] = student.personal
info['per_review_state'] = wf.getInfoFor(student.personal,'review_state',None)
ci = {}
ci['course'] = student_record.course
ci['faculty'] = student_record.faculty
ci['department'] = student_record.department
info['course_doc'] = ci
# if info['review_state'] in ('clearance_requested', 'cleared_and_validated',):
#     info['penalty'] = info['penalty'] and\
#                       info['clear_doc'].entry_date.greaterThan(DateTime('2006/12/30'))
return info
